
<%@page import="it.tref.liferay.mapit.map.util.MapItPluginUtil"%>
<%@page import="com.liferay.portal.kernel.portlet.LiferayWindowState"%>
<%@page import="javax.portlet.PortletRequest"%>
<%@page import="com.liferay.portlet.PortletURLFactoryUtil"%>
<%@page import="it.tref.liferay.mapit.plugin.MapItPlugin"%>
<%@page import="com.liferay.portal.kernel.util.ListUtil"%>
<%@page import="com.liferay.portal.util.PortalUtil"%>
<%@page import="it.tref.liferay.mapit.map.service.PluginLocalServiceUtil"%>
<%@page import="it.tref.liferay.mapit.map.model.Plugin"%>

<%@include file="/html/map_configuration/init.jsp" %>

<%
long companyId = company.getCompanyId();

String tab = ParamUtil.getString(request, "tab");

PortletURL iteratorURL = renderResponse.createRenderURL();
iteratorURL.setParameter("tab", tab);
%>

<portlet:actionURL name="searchPlugins" var="searchPluginsURL">
	<portlet:param name="redirect" value="<%= currentURL %>" />
</portlet:actionURL>

<aui:field-wrapper label="label-mapitconfiguration-search-update-plugins">
	<aui:button primary="true" value="execute" href="<%=searchPluginsURL %>" />
</aui:field-wrapper>

<liferay-ui:search-container
	iteratorURL="<%= iteratorURL %>"
	total="<%= PluginLocalServiceUtil.getPluginsCount() %>"
>
	<liferay-ui:search-container-results
		results="<%= PluginLocalServiceUtil.getPlugins(
		    searchContainer.getStart(), searchContainer.getEnd())  %>"
	/>

	<liferay-ui:search-container-row
		className="it.tref.liferay.mapit.map.model.Plugin"
		modelVar="plugin"
	>
	
		<liferay-ui:search-container-column-text name="name" property="name" />
		
		<liferay-ui:search-container-column-text name="version" property="version" />
			
		<liferay-ui:search-container-column-text name="status" >
		<c:choose>
			<c:when test="<%=MapItPluginUtil.isMapItCompatiblePlugin(plugin)%>">
				<liferay-ui:message key="label-mapitconfiguration-compatible" />
			</c:when>
			<c:otherwise>
				<liferay-ui:message key="label-mapitconfiguration-not-compatible" />
			</c:otherwise>
		</c:choose>
		</liferay-ui:search-container-column-text>
		<liferay-ui:search-container-column-text name="active" >
			<c:choose>
				<c:when test="<%=plugin.isActive() %>">
					<liferay-ui:message key="yes" />
				</c:when>
				<c:otherwise>
					<liferay-ui:message key="no" />
				</c:otherwise>
			</c:choose>
		</liferay-ui:search-container-column-text>
		<liferay-ui:search-container-column-jsp path="/html/map_configuration/plugins_action.jsp" />

	</liferay-ui:search-container-row>

	<liferay-ui:search-iterator />
</liferay-ui:search-container>

